CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-1810

A vulnerability in the Image Signature Verification feature used in an NX-OS CLI command in Cisco Nexus 3000 Series and 9000 Series Switches could allow an authenticated, local attacker with administrator-level credentials to install a malicious software image on an affected device. The vulnerability exists because software digital signatures are not properly verified during CLI command execution. An attacker could exploit this vulnerability to install an unsigned software image on an affected device. Note: If the device has not been patched for the vulnerability previously disclosed in the Cisco Security Advisory cisco-sa-20190306-nxos-sig-verif, a successful exploit could allow the attacker to boot a malicious software image.
Publish Date : 2019-05-15 Last Update Date : 2019-05-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.6
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 347

- Products Affected By CVE-2019-1810

# Product Type Vendor Product Version Update Edition Language
1 OS Cisco Nx-os 6.2(6b) Version Details Vulnerabilities
2 OS Cisco Nx-os 6.2(5) Version Details Vulnerabilities
3 OS Cisco Nx-os 6.2(11b) Version Details Vulnerabilities
4 OS Cisco Nx-os 6.2(1n) Version Details Vulnerabilities
5 OS Cisco Nx-os 6.2(7) Version Details Vulnerabilities
6 OS Cisco Nx-os 6.2(5a) Version Details Vulnerabilities
7 OS Cisco Nx-os 6.2(12) Version Details Vulnerabilities
8 OS Cisco Nx-os 6.2(2) Version Details Vulnerabilities
9 OS Cisco Nx-os 6.2(8) Version Details Vulnerabilities
10 OS Cisco Nx-os 6.2(14)s1 Version Details Vulnerabilities
11 OS Cisco Nx-os 6.2(2a) Version Details Vulnerabilities
12 OS Cisco Nx-os 6.2(8a) Version Details Vulnerabilities
13 OS Cisco Nx-os 6.2(3) Version Details Vulnerabilities
14 OS Cisco Nx-os 6.2(8b) Version Details Vulnerabilities
15 OS Cisco Nx-os 6.2(6) Version Details Vulnerabilities
16 OS Cisco Nx-os 6.2(3n) Version Details Vulnerabilities
17 OS Cisco Nx-os 6.2(10) Version Details Vulnerabilities
18 OS Cisco Nx-os 6.2(1) Version Details Vulnerabilities
19 OS Cisco Nx-os 7.0(3)i1(2) Version Details Vulnerabilities
20 OS Cisco Nx-os 7.0(1)n1(3) Version Details Vulnerabilities
21 OS Cisco Nx-os 7.0(5)n1(1a) Version Details Vulnerabilities
22 OS Cisco Nx-os 7.0(2)n1(1) Version Details Vulnerabilities
23 OS Cisco Nx-os 7.0(6)n1(1) Version Details Vulnerabilities
24 OS Cisco Nx-os 7.0(3)i7 Version Details Vulnerabilities
25 OS Cisco Nx-os 7.0(3) Version Details Vulnerabilities
26 OS Cisco Nx-os 7.0(7)n1(1) Version Details Vulnerabilities
27 OS Cisco Nx-os 7.0(3)n1(1) Version Details Vulnerabilities
28 OS Cisco Nx-os 7.0(3)i1(1a) Version Details Vulnerabilities
29 OS Cisco Nx-os 7.0(8)n1(1) Version Details Vulnerabilities
30 OS Cisco Nx-os 7.0(0)n1(1) Version Details Vulnerabilities
31 OS Cisco Nx-os 7.0(4)n1(1) Version Details Vulnerabilities
32 OS Cisco Nx-os 7.0(3)i1(1b) Version Details Vulnerabilities
33 OS Cisco Nx-os 7.0(1)n1(1) Version Details Vulnerabilities
34 OS Cisco Nx-os 7.0(5)n1(1) Version Details Vulnerabilities
35 OS Cisco Nx-os 7.0(3)i2(0.373) Version Details Vulnerabilities
36 OS Cisco Nx-os 7.1(0)n1(1b) Version Details Vulnerabilities
37 OS Cisco Nx-os 7.1(1)n1(1) Version Details Vulnerabilities
38 OS Cisco Nx-os 7.1(4)n1(1) Version Details Vulnerabilities
39 OS Cisco Nx-os 7.1(2)n1(1) Version Details Vulnerabilities
40 OS Cisco Nx-os 7.1(3)n1(1) Version Details Vulnerabilities
41 OS Cisco Nx-os 7.1(3)n1(2) Version Details Vulnerabilities
42 OS Cisco Nx-os 7.1(0)n1(1a) Version Details Vulnerabilities
43 OS Cisco Nx-os 7.1(3)n1(2.1) Version Details Vulnerabilities
44 OS Cisco Nx-os 7.1(3)n1(3.12) Version Details Vulnerabilities
45 OS Cisco Nx-os 7.2(1)n1(1) Version Details Vulnerabilities
46 OS Cisco Nx-os 7.2(0)n1(1) Version Details Vulnerabilities
47 OS Cisco Nx-os 7.2(0)n1(0.1) Version Details Vulnerabilities
48 OS Cisco Nx-os 7.2(0)zz(99.1) Version Details Vulnerabilities
49 OS Cisco Nx-os 7.2(0)zz(99.3) Version Details Vulnerabilities
50 OS Cisco Nx-os 7.3(0)n1(1) Version Details Vulnerabilities
51 OS Cisco Nx-os 7.3(0)zn(0.9) Version Details Vulnerabilities
52 OS Cisco Nx-os 7.3(0)zn(0.81) Version Details Vulnerabilities
53 OS Cisco Nx-os 7.3(0)zn(0.83) Version Details Vulnerabilities
54 OS Cisco Nx-os 7.3(2)n1(0.296) Version Details Vulnerabilities
55 OS Cisco Nx-os 7.3(2)n1(0.395) Version Details Vulnerabilities
56 OS Cisco Nx-os 8.0(1)s2 Version Details Vulnerabilities
57 OS Cisco Nx-os 8.1(1) Version Details Vulnerabilities
58 OS Cisco Nx-os 8.1(1)s5 Version Details Vulnerabilities
59 OS Cisco Nx-os 8.1(0.2)s0 Version Details Vulnerabilities
60 OS Cisco Nx-os 8.1(0.59)s0 Version Details Vulnerabilities
61 OS Cisco Nx-os 8.1(0.112)s0 Version Details Vulnerabilities
62 OS Cisco Nx-os 8.3(0)cv(0.342) Version Details Vulnerabilities
63 OS Cisco Nx-os 8.3(0)cv(0.345) Version Details Vulnerabilities
64 OS Cisco Nx-os 9.1(1)sv1(3.1.8) Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Cisco Nx-os 64

- References For CVE-2019-1810

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20190515-nxos-sisv
CISCO 20190515 Cisco Nexus 3000 Series and 9000 Series Switches in NX-OS Mode CLI Command Software Image Signature Verification Vulnerability
http://www.securityfocus.com/bid/108431
BID 108431 Cisco Nexus 3000 Series and 9000 Series Switches CVE-2019-1810 Local Security Bypass Vulnerability Release Date:2019-05-15

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2019-1810

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.